%define pkgn   TrueCrypt


Summary:       A cross-platform disk encryption software
Name:          truecrypt
Version:       7.0a
Release:       1%{?dist}%{?pext}
License:       distributable
Group:         Applications/System
Source0:       %{pkgn}-%{version}-Source.tar.gz
Source1:       %{name}.desktop
Source10:      ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11.h
Source11:      ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11f.h
Source12:      ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/pkcs11t.h
Patch0:        %{name}-7.0a-build.patch
URL:           http://www.%{name}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        TrueCrypt Foundation
Requires:      fuse
BuildRequires: desktop-file-utils fuse-devel
BuildRequires: pkgconfig wxwin-devel-unicode >= 2.8
Obsoletes:     %{name}-gui < %{version}-%{release}


%description
TrueCrypt is a free open-source on-the-fly disk encryption software for
Windows Vista/XP, Mac OS X, and Linux. This package contains the universal
executable supporting both graphical and text UI.


%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1

# Prepare PKCS11 headers
%{__cp} %{SOURCE10} %{SOURCE11} %{SOURCE12} .


%build
%{__make} \
	TC_EXTRA_CFLAGS="${RPM_OPT_FLAGS}"   \
	TC_EXTRA_CXXFLAGS="${RPM_OPT_FLAGS}" \
	WX_CONFIG="%{_bindir}/wx-config"     \
	NOASM=1 NOSTRIP=1 NOTEST=1 VERBOSE=1


%check
Main/%{name} --text --test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/{applications,pixmaps}

%{__install} -m 0755 Main/%{name} ${RPM_BUILD_ROOT}%{_bindir}

# GUI support
%{__install} -m 0644 Resources/Icons/TrueCrypt-16x16.xpm \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.xpm

desktop-file-install --vendor="%{name}" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc License.{html,txt} Readme.txt Release/Setup*/*.pdf
%{_bindir}/%{name}
%config(noreplace) %{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon Sep 27 2010 Peter Pramberger <peterpramb@member.fsf.org> - 7.0a-1
- New version (7.0a)

* Wed Nov 25 2009 Peter Pramberger <peterpramb@member.fsf.org> - 6.3a-1
- New version (6.3a)

* Tue Oct 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 6.3-1
- New version (6.3)

* Sat Jun 20 2009 Peter Pramberger <peterpramb@member.fsf.org> - 6.2a-1
- New version (6.2a)

* Tue May 19 2009 Peter Pramberger <peterpramb@member.fsf.org> - 6.2-2
- Removed the console-only executable (aborts w/o valid display)

* Mon May 18 2009 Peter Pramberger <peterpramb@member.fsf.org> - 6.2-1
- New version (6.2)

* Wed Dec 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 6.1a-1
- New version (6.1a)

* Mon Nov 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 6.1-1
- New version (6.1)

* Wed Jul 30 2008 Peter Pramberger <peterpramb@member.fsf.org> - 6.0a-1
- Initial build
